#!/bin/bash

# On récupère tous les fichiers ayant le bit SUID
fichiers=$(find / -perm -4000 2> /dev/null)

# Pour chacun d'eux
for f in $fichiers
do
	# S'il n'existe pas dans la base
	if [ -z "$(sqlite3 $DATABASE "SELECT chemin FROM fichier WHERE
	chemin='$f';")" ]
	then
		# On récupère checksum et taille
		checksum=$(cksum $f | cut -d' ' -f 1)
		taille=$(cksum $f | cut -d' ' -f 2)
		
		# On insère
		sqlite3 $DATABASE "INSERT INTO fichier VALUES('$f',
		$checksum, $taille);"

		# On indique sur la sortie standard les fichiers installés
		echo $f
	fi
done
